Core - Bug # 54857

Epic # 55070 (Accepted): Workpackages

Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes

Epic # 55064 (Accepted): WP: Workspaces test cases / DataHandler bugfixes

Status: Resolved Priority: Must have

Author: Oliver Hader Category: Unit/Functional Tests
Created: 2014-01-09 Assigned To: Oliver Hader
Updated: 2014-01-31 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Test extensions are not considered in functional test cases

Description

The functional testing framework offers the possibility to define custom extension to be installed for each test scenario.

However, this does not work at all, only extensions that are available in the original base installation can be used.

The origin of this misbehaviour can be found in this change set:

https://review.typo3.org/#/c/19605/32/typo3/sysext/core/Tests/FunctionalTestCaseBootstrapUtility.php

Related issues:

follows Core - Epic # 47018: Implement Composer support and clean package man...

Resolved 2013-08-28

Associated revisions

Revision 82a24fa0 - 2014-01-09 11:13 - Oliver Hader

[BUGFIX] Test extensions not considered in functional tests

The functional testing framework offers the possibility to define
custom extension to be installed for each test scenario. However,
this does not work at all, only extensions that are available in

the original base installation can be used.

This change cleans and adds the package state definition for any
extension to be used during a functional test execution.

Fixes: #54857

Releases: 6.2

Change-Id: 191b1cd1bc5d147287a154283e94d03d1392ac92d
Reviewed-on: https://review.typo3.org/26705

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Thomas Maroschik
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-01-09 00:14 - Oliver Hader
https://review.typo3.org/#/c/19605/32/typo3/sysext/core/Tests/FunctionalTestCaseBootstrapUtility.php
https://review.typo3.org/26705

- Status changed from New to Accepted
- Priority changed from Should have to Must have

- Complexity set to medium

#2 - 2014-01-09 00:16 - Oliver Hader
- Subject changed from Test extension are not considered in functional test cases to Test extensions are not considered in functional test cases

#3 - 2014-01-09 00:23 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26705

#4 - 2014-01-09 00:37 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26705

#5 - 2014-01-09 01:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26705

#6 - 2014-01-09 11:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:82a24fa0b7c469cd5659f9d5540b57b6004a47¢1.

#7 - 2014-01-31 14:49 - Ingo Schmitt
- Parent task changed from #54852 to #55064
